/*!
* Leaflet.TileLayer.Swiss v2.3.1
* Plugin for displaying Swiss map tiles
* © Roman Karavia | MIT License
* leaflet-tilelayer-swiss.karavia.ch
*/
import t from"leaflet";function n(t){if(!Array.isArray(t))throw new Error("Expected input to be an array.");if(t.length<2)throw new Error("Expected input to be an array with length >= 2, got "+t.length+".");if(t.some((function(t){return!Number.isFinite(t)})))throw new Error("Expected all coordinates to be finite numbers.")}function a(t,n,a){return(a/60+n)/60+t}function i(t){return 180*t/Math.PI}function o(t){return t*Math.PI/180}function r(t,n){return{apply:function(a){var i=a[0],o=a[1],r=a.slice(2);return[i+t,o+n].concat(r)},unapply:function(a){var i=a[0],o=a[1],r=a.slice(2);return[i-t,o-n].concat(r)}}}void 0===Number.isFinite&&(Number.isFinite=function(t){return"number"==typeof t&&isFinite(t)});var e=r(6e5,2e5),s=e.apply,h=e.unapply,u=r(26e5,12e5),c=u.apply,M=u.unapply;function p(t,n){var a=1/n,r=2*a-Math.pow(a,2);return{fromCartesian:function(n){var a,o,e,s,h,u=n[0],c=n[1],M=n[2],p=Math.atan(c/u),l=Math.sqrt(Math.pow(u,2)+Math.pow(c,2)),f=Math.atan(M/((1-r)*l));do{a=o,e=s,s=t/Math.sqrt(1-r*Math.pow(Math.sin(f),2)),h=l/Math.cos(f)-s,f=Math.atan(M/((1-r*s/(s+h))*l)),o=Math.abs(s-e)}while(isNaN(a)||o<a);var d=i(f);return[i(p),d,h]},toCartesian:function(n){var a=n[0],i=n[2],e=void 0===i?0:i,s=o(n[1]),h=o(a),u=t/Math.sqrt(1-r*Math.pow(Math.sin(s),2));return[(u+e)*Math.cos(s)*Math.cos(h),(u+e)*Math.cos(s)*Math.sin(h),(u*(1-r)+e)*Math.sin(s)]}}}var l=p(6377397.155,299.15281285),f=l.fromCartesian,d=l.toCartesian,m=p(6378137,298.257223563),v=m.fromCartesian,g=m.toCartesian,w=1/299.15281285,b=o(a(46,57,8.66)),y=o(a(7,26,22.5)),j=2*w-Math.pow(w,2),x=6377397.155*Math.sqrt(1-j)/(1-j*Math.pow(Math.sin(b),2)),P=Math.sqrt(1+j/(1-j)*Math.pow(Math.cos(b),4)),S=Math.asin(Math.sin(b)/P),E=Math.sqrt(j),I=Math.log(Math.tan(Math.PI/4+S/2))-P*Math.log(Math.tan(Math.PI/4+b/2))+P*E/2*Math.log((1+E*Math.sin(b))/(1-E*Math.sin(b)));function z(t){var n,a=[(n=g(t))[0]-674.374,n[1]-15.056,n[2]-405.346],i=f(a),r=function(t){var n=t[0],a=o(t[1]),i=o(n),r=P*Math.log(Math.tan(Math.PI/4+a/2))-P*E/2*Math.log((1+E*Math.sin(a))/(1-E*Math.sin(a)))+I,e=2*(Math.atan(Math.exp(r))-Math.PI/4),s=P*(i-y),h=Math.asin(Math.cos(S)*Math.sin(e)-Math.sin(S)*Math.cos(e)*Math.cos(s)),u=Math.atan(Math.sin(s)/(Math.sin(S)*Math.tan(e)+Math.cos(S)*Math.cos(s)));return[x*u,x/2*Math.log((1+Math.sin(h))/(1-Math.sin(h)))]}(i);return t.length>2?[].concat(r,[i[2]]):r}function C(t){var n=function(t){var n,a,o,r,e=t[0],s=2*(Math.atan(Math.exp(t[1]/x))-Math.PI/4),h=e/x,u=Math.asin(Math.cos(S)*Math.sin(s)+Math.sin(S)*Math.cos(s)*Math.cos(h)),c=Math.atan(Math.sin(h)/(Math.cos(S)*Math.cos(h)-Math.sin(S)*Math.tan(s))),M=y+c/P,p=u;do{n=a,o=r,r=(Math.log(Math.tan(Math.PI/4+u/2))-I)/P+E*Math.log(Math.tan(Math.PI/4+Math.asin(E*Math.sin(p))/2)),p=2*Math.atan(Math.exp(r))-Math.PI/2,a=Math.abs(r-o)}while(isNaN(n)||a<n);var l=i(p);return[i(M),l]}(t);n.push(t[2]);var a,o=[(a=d(n))[0]+674.374,a[1]+15.056,a[2]+405.346],r=v(o);return t.length>2?r:r.slice(0,2)}var L={__proto__:null,project:function(t){return n(t),s(z(t))},unproject:function(t){return n(t),C(h(t))}};var N={__proto__:null,project:function(t){return n(t),c(z(t))},unproject:function(t){return n(t),C(M(t))}},_=t.bounds([42e4,3e4],[9e5,35e4]),B=t.bounds([242e4,103e4],[29e5,135e4]);function q(n,a){return{bounds:a,project:function(a){var i=a.lng,o=a.lat,r=n.project([i,o]),e=r[0],s=r[1];return t.point(e,s)},unproject:function(a){var i=a.x,o=a.y,r=n.unproject([i,o]),e=r[0],s=r[1];return t.latLng(s,e)}}}var G=q(L,_),T=q(N,B),k=[4e3,3750,3500,3250,3e3,2750,2500,2250,2e3,1750,1500,1250,1e3,750,650,500,250,100,50,20,10,5,2.5,2,1.5,1,.5,.25,.1];var A=t.Class.extend({includes:t.CRS,initialize:function(n){this.code=n.code,this.projection=n.projection;var a=this.projection.bounds.getBottomLeft();this.transformation=new t.Transformation(1,-a.x,-1,a.y),this.infinite=!1},scale:function(t){return 1/function(t){if(t<0)return k[0];if(t>k.length-1)return k[k.length-1];var n=Math.floor(t);if(n===t)return k[t];var a=k[n],i=k[n+1]/a;return a*Math.pow(i,t-n)}(t)},zoom:function(t){return function(t){for(var n=-1,a=0;a<k.length;a+=1)if(t>=k[a]){n=a;break}if(0===n)return 0;if(-1===n)return k.length-1;if(k[n]===t)return n;var i=k[n-1],o=k[n];return n+Math.log(o/t)/Math.log(i/o)}(1/t)},distance:function(t,n){var a=this.project(t),i=this.project(n);return a.distanceTo(i)}}),F=new A({code:"EPSG:21781",projection:G}),R=new A({code:"EPSG:2056",projection:T}),Z=t.latLngBounds(R.unproject(R.projection.bounds.min),R.unproject(R.projection.bounds.max)),H=t.latLngBounds(R.unproject(t.point(2485e3,1075e3)),R.unproject(t.point(2835e3,1295e3))),O={"EPSG:21781":"https://wmts{s}.geo.admin.ch/1.0.0/{layer}/default/{timestamp}/21781/{z}/{y}/{x}.{format}","EPSG:2056":"https://wmts{s}.geo.admin.ch/1.0.0/{layer}/default/{timestamp}/2056/{z}/{x}/{y}.{format}"},D=t.TileLayer.extend({options:{attribution:'© <a href="https://www.swisstopo.ch/">Swisstopo</a>',bounds:Z,crs:R,format:"jpeg",layer:"ch.swisstopo.pixelkarte-farbe",minZoom:14,maxNativeZoom:27,maxZoom:28,pluginAttribution:!0,subdomains:"0123456789",timestamp:"current"},initialize:function(n){t.setOptions(this,n);var a=this.options.url||O[this.options.crs.code];this.options.attribution&&this.options.pluginAttribution&&(this.options.attribution+=' <a href="https://leaflet-tilelayer-swiss.karavia.ch/" title="Plugin for displaying national maps of Switzerland"><svg aria-hidden="true" viewBox="0 0 32 32" style="display:inline;vertical-align:baseline;width:0.8333em;height:0.8333em;margin-bottom:-0.0833em"><path d="m0 0h32v32h-32z" fill="#f00"/><path d="m13 6h6v7h7v6h-7v7h-6v-7h-7v-6h7z" fill="#fff"/></svg></a>'),t.TileLayer.prototype.initialize.call(this,a,this.options)}});t.CRS.EPSG21781=F,t.CRS.EPSG2056=R,t.TileLayer.Swiss=D,t.tileLayer.swiss=function(t){return new D(t)},t.Map.addInitHook((function(){this.options.maxBounds||this.options.crs!==F&&this.options.crs!==R||this.setMaxBounds(Z)})),t.Map.include({fitSwitzerland:function(){this.fitBounds(H)}});export{D as default};
//# sourceMappingURL=Leaflet.TileLayer.Swiss.esm.js.map
